﻿using System;
using System.IO;

namespace CustomWordCounter.Content
{
    public class CustomPaths
    {
        private string _myCustomDocumentsPath;

        public string MyCustomDocumentsPath
        {
            get
            {
                if (!string.IsNullOrEmpty(_myCustomDocumentsPath))
                    return _myCustomDocumentsPath;

                _myCustomDocumentsPath = Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments), "MyCustomWordCounter");
                if (!Directory.Exists(_myCustomDocumentsPath))
                    Directory.CreateDirectory(_myCustomDocumentsPath);

                return _myCustomDocumentsPath;
            }
        }

        private string _myCustomTmPath;

        public string MyCustomTmPath
        {
            get
            {
                if (!string.IsNullOrEmpty(_myCustomTmPath))
                    return _myCustomTmPath;

                _myCustomTmPath = Path.Combine(MyCustomDocumentsPath, "TM");
                if (!Directory.Exists(_myCustomTmPath))
                    Directory.CreateDirectory(_myCustomTmPath);

                return _myCustomTmPath;
            }
        }

        private string _myCustomReportPath;

        public string MyCustomReportPath
        {
            get
            {
                if (!string.IsNullOrEmpty(_myCustomReportPath))
                    return _myCustomReportPath;

                _myCustomReportPath = Path.Combine(MyCustomDocumentsPath, "Reports");
                if (!Directory.Exists(_myCustomReportPath))
                    Directory.CreateDirectory(_myCustomReportPath);

                return _myCustomReportPath;
            }
        }
    }
}
